EchoOnlyLogger (Hyperic HQ Plugin API)
Keywords: org.hyperic.tools.ant.EchoOnlyLogger class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.tools.ant
Class EchoOnlyLogger

    java.lang.Object
      org.apache.tools.ant.DefaultLogger
          org.hyperic.tools.ant.EchoOnlyLogger

All Implemented Interfaces:
  java.util.EventListener, org.apache.tools.ant.BuildListener, org.apache.tools.ant.BuildLogger

    public class EchoOnlyLogger

extends org.apache.tools.ant.DefaultLogger

With ant (at least 1.5.x), there's no way to force it shut up. If you really don't want the user to see what's going on except for what is explicitly output from the echo task, then use this as the ant logger Usage (in the ant invocation wrapper): org.apache.tools.ant.Main -logger org.hyperic.tools.ant.EchoOnlyLogger

Field Summary
`protected static java.lang.String` | `TASK_TO_LOG`
`protected static int` | `THE_LEFT_COLUMN_SIZE`

Fields inherited from class org.apache.tools.ant.DefaultLogger
`emacsMode, err, LEFT_COLUMN_SIZE, lSep, msgOutputLevel, out`

Constructor Summary
`EchoOnlyLogger()`

Method Summary
`void` | `messageLogged(org.apache.tools.ant.BuildEvent event)`
`void` | `targetStarted(org.apache.tools.ant.BuildEvent event)`

Methods inherited from class org.apache.tools.ant.DefaultLogger
`buildFinished, buildStarted, formatTime, log, printMessage, setEmacsMode, setErrorPrintStream, setMessageOutputLevel, setOutputPrintStream, targetFinished, taskFinished, taskStarted`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TASK_TO_LOG

    protected static java.lang.String TASK_TO_LOG

### THE_LEFT_COLUMN_SIZE

    protected static int THE_LEFT_COLUMN_SIZE

Constructor Detail

### EchoOnlyLogger

    public EchoOnlyLogger()

Method Detail

### targetStarted

    public void targetStarted(org.apache.tools.ant.BuildEvent event)

  Specified by:
    `targetStarted` in interface `org.apache.tools.ant.BuildListener`
  Overrides:
    `targetStarted` in class `org.apache.tools.ant.DefaultLogger`

### messageLogged

    public void messageLogged(org.apache.tools.ant.BuildEvent event)

  Specified by:
    `messageLogged` in interface `org.apache.tools.ant.BuildListener`
  Overrides:
    `messageLogged` in class `org.apache.tools.ant.DefaultLogger`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.